
Foreman - Feature #2132

Allow overriding of class parameters in the hostgroup UI

01/16/2013 04:34 AM - David Schmitt

Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: Web Interface   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When managing parameterized classes, parameters can be overridden by-host, directly from the host's page. The same would be

very useful to have on the hostgroup page: the ability to add per-hostgroup overrides/defaults for class parameters.

Related issues:

Related to Foreman - Feature #2220: Matchers should support inheritance of sm... Closed 02/19/2013

Has duplicate Foreman - Feature #2150: Set params-value in hostgroup Duplicate 01/21/2013

Has duplicate Foreman - Feature #2057: Allow Param Class overrides in Hostgroups Duplicate 12/18/2012

Associated revisions

Revision 7acc469b - 05/09/2013 02:30 PM - Amos Benari

fixes #2132 Smart Variables in hostgroup. 1. Show smart variables in hostgroup view. 2. Added the GUI to override smart variables values in host

group.

Revision f591528c - 05/09/2013 02:33 PM - Amos Benari

refs #2132 - fixes ajax on puppetclass update, and some typos.

History

#1 - 01/21/2013 09:05 AM - Dominic Cleal

- Category set to Web Interface

#2 - 01/28/2013 10:19 AM - David Schmitt

This seems to be a duplicate of #2057?

Note to self: hostgroup matcher syntax: "hostgroup=Parent Hostgroup/Nested Hostgroup". no quotes!

#3 - 01/29/2013 08:39 AM - David Schmitt

Hmm, one of the pain points I've got with the hostgroup= matcher, is that this only matches on equality, but other usages of hostgroups exept this

inherit.

#4 - 04/11/2013 02:10 PM - Dominic Cleal

- Target version set to 1.2.0

#5 - 05/06/2013 05:49 AM - Ohad Levy

- Status changed from New to Ready For Testing

- Assignee set to Amos Benari

https://github.com/theforeman/foreman/pull/580

#6 - 05/09/2013 03:46 PM - Amos Benari

- Status changed from Ready For Testing to Closed
https://projects.theforeman.org/issues/2057
https://github.com/theforeman/foreman/pull/580


- % Done changed from 0 to 100

Applied in changeset 7acc469b096c5856b4628e45bee222dbaeb54c78.

Powered by TCPDF (www.tcpdf.org)

05/17/2024 2/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/7acc469b096c5856b4628e45bee222dbaeb54c78
http://www.tcpdf.org

